#ifndef _SYSCALLNAMES_H
#define _SYSCALLNAMES_H

static const char *syscallnames[] = {
	/* 0 */ "restart_syscall",
	/* 1 */ "exit",
	/* 2 */ "fork",
	/* 3 */ "read",
	/* 4 */ "write",
	/* 5 */ "open",
	/* 6 */ "close",
	/* 7 */ "waitpid",
	/* 8 */ "creat",
	/* 9 */ "link",
	/* 10 */ "unlink",
	/* 11 */ "execve",
	/* 12 */ "chdir",
	/* 13 */ "time",
	/* 14 */ "mknod",
	/* 15 */ "chmod",
	/* 16 */ "lchown",
	/* 17 */ "break",
	/* 18 */ "oldstat",
	/* 19 */ "lseek",
	/* 20 */ "getpid",
	/* 21 */ "mount",
	/* 22 */ "umount",
	/* 23 */ "setuid",
	/* 24 */ "getuid",
	/* 25 */ "stime",
	/* 26 */ "ptrace",
	/* 27 */ "alarm",
	/* 28 */ "oldfstat",
	/* 29 */ "pause",
	/* 30 */ "utime",
	/* 31 */ "stty",
	/* 32 */ "gtty",
	/* 33 */ "access",
	/* 34 */ "nice",
	/* 35 */ "ftime",
	/* 36 */ "sync",
	/* 37 */ "kill",
	/* 38 */ "rename",
	/* 39 */ "mkdir",
	/* 40 */ "rmdir",
	/* 41 */ "dup",
	/* 42 */ "pipe",
	/* 43 */ "times",
	/* 44 */ "prof",
	/* 45 */ "brk",
	/* 46 */ "setgid",
	/* 47 */ "getgid",
	/* 48 */ "signal",
	/* 49 */ "geteuid",
	/* 50 */ "getegid",
	/* 51 */ "acct",
	/* 52 */ "umount2",
	/* 53 */ "lock",
	/* 54 */ "ioctl",
	/* 55 */ "fcntl",
	/* 56 */ "mpx",
	/* 57 */ "setpgid",
	/* 58 */ "ulimit",
	/* 59 */ "oldolduname",
	/* 60 */ "umask",
	/* 61 */ "chroot",
	/* 62 */ "ustat",
	/* 63 */ "dup2",
	/* 64 */ "getppid",
	/* 65 */ "getpgrp",
	/* 66 */ "setsid",
	/* 67 */ "sigaction",
	/* 68 */ "sgetmask",
	/* 69 */ "ssetmask",
	/* 70 */ "setreuid",
	/* 71 */ "setregid",
	/* 72 */ "sigsuspend",
	/* 73 */ "sigpending",
	/* 74 */ "sethostname",
	/* 75 */ "setrlimit",
	/* 76 */ "getrlimit",
	/* 77 */ "getrusage",
	/* 78 */ "gettimeofday",
	/* 79 */ "settimeofday",
	/* 80 */ "getgroups",
	/* 81 */ "setgroups",
	/* 82 */ "select",
	/* 83 */ "symlink",
	/* 84 */ "oldlstat",
	/* 85 */ "readlink",
	/* 86 */ "uselib",
	/* 87 */ "swapon",
	/* 88 */ "reboot",
	/* 89 */ "readdir",
	/* 90 */ "mmap",
	/* 91 */ "munmap",
	/* 92 */ "truncate",
	/* 93 */ "ftruncate",
	/* 94 */ "fchmod",
	/* 95 */ "fchown",
	/* 96 */ "getpriority",
	/* 97 */ "setpriority",
	/* 98 */ "profil",
	/* 99 */ "statfs",
	/* 100 */ "fstatfs",
	/* 101 */ "ioperm",
	/* 102 */ "socketcall",
	/* 103 */ "syslog",
	/* 104 */ "setitimer",
	/* 105 */ "getitimer",
	/* 106 */ "stat",
	/* 107 */ "lstat",
	/* 108 */ "fstat",
	/* 109 */ "olduname",
	/* 110 */ "iopl",
	/* 111 */ "vhangup",
	/* 112 */ "idle",
	/* 113 */ "vm86",
	/* 114 */ "wait4",
	/* 115 */ "swapoff",
	/* 116 */ "sysinfo",
	/* 117 */ "ipc",
	/* 118 */ "fsync",
	/* 119 */ "sigreturn",
	/* 120 */ "clone",
	/* 121 */ "setdomainname",
	/* 122 */ "uname",
	/* 123 */ "modify_ldt",
	/* 124 */ "adjtimex",
	/* 125 */ "mprotect",
	/* 126 */ "sigprocmask",
	/* 127 */ "create_module",
	/* 128 */ "init_module",
	/* 129 */ "delete_module",
	/* 130 */ "get_kernel_syms",
	/* 131 */ "quotactl",
	/* 132 */ "getpgid",
	/* 133 */ "fchdir",
	/* 134 */ "bdflush",
	/* 135 */ "sysfs",
	/* 136 */ "personality",
	/* 137 */ "afs_syscall",
	/* 138 */ "setfsuid",
	/* 139 */ "setfsgid",
	/* 140 */ "_llseek",
	/* 141 */ "getdents",
	/* 142 */ "_newselect",
	/* 143 */ "flock",
	/* 144 */ "msync",
	/* 145 */ "readv",
	/* 146 */ "writev",
	/* 147 */ "getsid",
	/* 148 */ "fdatasync",
	/* 149 */ "_sysctl",
	/* 150 */ "mlock",
	/* 151 */ "munlock",
	/* 152 */ "mlockall",
	/* 153 */ "munlockall",
	/* 154 */ "sched_setparam",
	/* 155 */ "sched_getparam",
	/* 156 */ "sched_setscheduler",
	/* 157 */ "sched_getscheduler",
	/* 158 */ "sched_yield",
	/* 159 */ "sched_get_priority_max",
	/* 160 */ "sched_get_priority_min",
	/* 161 */ "sched_rr_get_interval",
	/* 162 */ "nanosleep",
	/* 163 */ "mremap",
	/* 164 */ "setresuid",
	/* 165 */ "getresuid",
	/* 166 */ "query_module",
	/* 167 */ "poll",
	/* 168 */ "nfsservctl",
	/* 169 */ "setresgid",
	/* 170 */ "getresgid",
	/* 171 */ "prctl",
	/* 172 */ "rt_sigreturn",
	/* 173 */ "rt_sigaction",
	/* 174 */ "rt_sigprocmask",
	/* 175 */ "rt_sigpending",
	/* 176 */ "rt_sigtimedwait",
	/* 177 */ "rt_sigqueueinfo",
	/* 178 */ "rt_sigsuspend",
	/* 179 */ "pread64",
	/* 180 */ "pwrite64",
	/* 181 */ "chown",
	/* 182 */ "getcwd",
	/* 183 */ "capget",
	/* 184 */ "capset",
	/* 185 */ "sigaltstack",
	/* 186 */ "sendfile",
	/* 187 */ "getpmsg",
	/* 188 */ "putpmsg",
	/* 189 */ "vfork",
	/* 190 */ "ugetrlimit",
	/* 191 */ "readahead",
	/* 192 */ "mmap2",
	/* 193 */ "truncate64",
	/* 194 */ "ftruncate64",
	/* 195 */ "stat64",
	/* 196 */ "lstat64",
	/* 197 */ "fstat64",
	/* 198 */ "pciconfig_read",
	/* 199 */ "pciconfig_write",
	/* 200 */ "pciconfig_iobase",
	/* 201 */ "multiplexer",
	/* 202 */ "getdents64",
	/* 203 */ "pivot_root",
	/* 204 */ "fcntl64",
	/* 205 */ "madvise",
	/* 206 */ "mincore",
	/* 207 */ "gettid",
	/* 208 */ "tkill",
	/* 209 */ "setxattr",
	/* 210 */ "lsetxattr",
	/* 211 */ "fsetxattr",
	/* 212 */ "getxattr",
	/* 213 */ "lgetxattr",
	/* 214 */ "fgetxattr",
	/* 215 */ "listxattr",
	/* 216 */ "llistxattr",
	/* 217 */ "flistxattr",
	/* 218 */ "removexattr",
	/* 219 */ "lremovexattr",
	/* 220 */ "fremovexattr",
	/* 221 */ "futex",
	/* 222 */ "sched_setaffinity",
	/* 223 */ "sched_getaffinity",
	/* 224 */ "UNKNOWN(224)",
	/* 225 */ "tuxcall",
	/* 226 */ "sendfile64",
	/* 227 */ "io_setup",
	/* 228 */ "io_destroy",
	/* 229 */ "io_getevents",
	/* 230 */ "io_submit",
	/* 231 */ "io_cancel",
	/* 232 */ "set_tid_address",
	/* 233 */ "fadvise64",
	/* 234 */ "exit_group",
	/* 235 */ "lookup_dcookie",
	/* 236 */ "epoll_create",
	/* 237 */ "epoll_ctl",
	/* 238 */ "epoll_wait",
	/* 239 */ "remap_file_pages",
	/* 240 */ "timer_create",
	/* 241 */ "timer_settime",
	/* 242 */ "timer_gettime",
	/* 243 */ "timer_getoverrun",
	/* 244 */ "timer_delete",
	/* 245 */ "clock_settime",
	/* 246 */ "clock_gettime",
	/* 247 */ "clock_getres",
	/* 248 */ "clock_nanosleep",
	/* 249 */ "swapcontext",
	/* 250 */ "tgkill",
	/* 251 */ "utimes",
	/* 252 */ "statfs64",
	/* 253 */ "fstatfs64",
	/* 254 */ "fadvise64_64",
	/* 255 */ "syscalls",
};

static const int syscallnames_size = 256;

#define SYSCALLNAME(n) (((n) < syscallnames_size) ? syscallnames[(n)] : "OUTOFBOUNDS")

#endif
