/*   This is part of um-ViewOS
 *   The user-mode implementation of OSVIEW -- A Process with a View
 *
 *   
 *
 *   Copyright 2005 Renzo Davoli University of Bologna - Italy
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *   $Id: module.h,v 1.1.1.1 2005/05/19 15:36:32 garden Exp $
 *
 */
#include <unistd.h>
#include <sys/syscall.h>
//#include <sys/socket.h>
typedef int (*intfun)();

struct service {
	char *name;
	char code;
	void *handle;
	intfun checkpath;
	intfun checksocket;
	intfun select_register;
	intfun *syscall;
	intfun *socket;
};


extern int scmap_scmapsize;
extern int scmap_sockmapsize;
